%define upstream_name    XML-GrammarBase
%define upstream_version v0.2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A parameterized role for an XSLT converter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::Role)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Package::Variant)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(XML::LibXML) >= 2.1.700
BuildRequires: perl(XML::LibXSLT) >= 1.800.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
XML::GrammarBase aims to be a convenient framework for easily providing
processors for XML grammars (such as those under the XML::Grammar namespace
- the http://www.shlomifish.org/open-source/projects/XML-Grammar/ manpage
).

It provides roles and base classes for facilitating writing those.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.2.3-7pclos2017
- rebuild against updates

